Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 974347 - Review Request: nodejs-assert-plus - Extra assertions on top of node's assert module
Summary: Review Request: nodejs-assert-plus - Extra assertions on top of node's assert...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jamie Nguyen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: nodejs-reviews 968919 974350
TreeView+ depends on / blocked
 
Reported: 2013-06-14 03:50 UTC by T.C. Hollingsworth
Modified: 2013-07-08 20:07 UTC (History)
3 users (show)

Fixed In Version: nodejs-assert-plus-0.1.3-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-06-23 21:26:33 UTC
jamielinux: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description T.C. Hollingsworth 2013-06-14 03:50:00 UTC
Spec: http://patches.fedorapeople.org/npm/nodejs-assert-plus.spec
SRPM: http://patches.fedorapeople.org/npm/nodejs-assert-plus-0.1.3-1.fc19.src.rpm
Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=5501477
FAS:  patches
Description:
This library is a super small wrapper over node's assert module that has two 
things: (1) the ability to disable assertions with the environment variable 
NODE_NDEBUG, and (2) some API wrappers for argument testing.

Comment 1 Jamie Nguyen 2013-06-20 22:43:40 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: There is no build directory. Running licensecheck on vanilla
     upstream sources. No licenses found. Please check the source files for
     licenses manually.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[x]: Buildroot is not present
     Note: Buildroot: present but not needed
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: nodejs-assert-plus-0.1.3-1.fc20.noarch.rpm
nodejs-assert-plus.noarch: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint nodejs-assert-plus
nodejs-assert-plus.noarch: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
# echo 'rpmlint-done:'



Requires
--------
nodejs-assert-plus (rpmlib, GLIBC filtered):
    nodejs(engine)



Provides
--------
nodejs-assert-plus:
    nodejs-assert-plus
    npm(assert-plus)



Source checksums
----------------
http://registry.npmjs.org/assert-plus/-/assert-plus-0.1.3.tgz :
  CHECKSUM(SHA256) this package     : 3297ed55da0e6b4144d7e7554c0bd4bdbe048fdfb6d2a866f7ff0bd9d22b1fcc
  CHECKSUM(SHA256) upstream package : 3297ed55da0e6b4144d7e7554c0bd4bdbe048fdfb6d2a866f7ff0bd9d22b1fcc


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-x86_64
Command line :/bin/fedora-review -m fedora-rawhide-x86_64 -r -n nodejs-assert-plus-0.1.3-1.fc19.src.rpm

Comment 2 Jamie Nguyen 2013-06-20 22:44:15 UTC
Looks good, package approved!

Comment 3 T.C. Hollingsworth 2013-06-21 00:22:28 UTC
New Package SCM Request
=======================
Package Name: nodejs-assert-plus
Short Description: Extra assertions on top of node's assert module
Owners: patches jamielinux
Branches: f19 f18 el6
InitialCC:

Comment 4 Kevin Fenzi 2013-06-22 18:05:33 UTC
Git done (by process-git-requests).

Comment 5 Fedora Update System 2013-06-22 18:45:46 UTC
nodejs-assert-plus-0.1.3-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nodejs-assert-plus-0.1.3-1.fc19

Comment 6 Fedora Update System 2013-06-22 18:46:01 UTC
nodejs-assert-plus-0.1.3-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/nodejs-assert-plus-0.1.3-1.fc18

Comment 7 Fedora Update System 2013-06-22 18:46:40 UTC
nodejs-assert-plus-0.1.3-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/nodejs-assert-plus-0.1.3-1.el6

Comment 8 Fedora Update System 2013-06-23 19:04:39 UTC
nodejs-assert-plus-0.1.3-1.fc19 has been pushed to the Fedora 19 testing repository.

Comment 9 Fedora Update System 2013-07-02 00:27:46 UTC
nodejs-assert-plus-0.1.3-1.fc19 has been pushed to the Fedora 19 stable repository.

Comment 10 Fedora Update System 2013-07-03 01:34:38 UTC
nodejs-assert-plus-0.1.3-1.fc18 has been pushed to the Fedora 18 stable repository.

Comment 11 Fedora Update System 2013-07-08 20:07:58 UTC
nodejs-assert-plus-0.1.3-1.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.